# administration.py by freaky (freaky@freakyonline.de)
# ---
#
# This extension is for administrating the bot.

import discord
from discord import app_commands
from discord.ext import commands

class AdminExt(commands.GroupCog, name="admin"):
  def __init__(self, bot: commands.Bot) -> None:
    self.bot = bot
    super().__init__()  # this is now required in this context.

  @app_commands.command(name="stop")
  @commands.is_owner()
  async def admin_stop(self, interaction: discord.Interaction) -> None:
    """ /admin stop """
    await interaction.response.send_message("The bot will now shutdown. Good bye! :)", ephemeral=True)
    await self.bot.close()


async def setup(bot: commands.Bot) -> None:
  await bot.add_cog(AdminExt(bot))